[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# THandleStream.Read

Overrides standard read method.

## Declaration

Source position: classesh.inc line 916

`public function THandleStream.Read(`
`var Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Description

Read overrides the Read method of TStream. It uses the Handle property to read the Count bytes into Buffer

If no error occurs while reading, the number of bytes actually read will be returned.

## Errors

If the operating system reports an error while reading from the handle, -1 is returned.

## See also

TStream.Read |  | Reads data from the stream to a buffer and returns the number of bytes read.
THandleStream.Write |  | Overrides standard write method.
THandleStream.Handle |  | The OS handle of the stream.

Documentation generated on: Feb 26 2014